[Pkg-cups-devel] Bug#558601: cups: Build fails due to external contents of /usr/share/ppd

Roger Leigh rleigh at debian.org
Sun Nov 29 14:49:31 UTC 2009

Package: cups
Version: 1.4.1-4
Severity: normal

CUPS fails to build if it gets any warnings when parsing files under
/usr/share/ppd.  These files are irrelevant to whether CUPS built
correctly or not, and so the build should not fail if it encounters
any missing PPD Product keywords while parsing these files.
This is probably not a problem for the buildds, since this
directory will typically be empty, but it is for normal users
(and maintainers) who wish to rebuild cups.

It also fails to build twice in a row since debian/rules clean
fails due to a dpatch error during the second build.  This is
also a bug.

I've tested with 1.4.1-4 due to 1.4.2 FTBFSing at the moment
due to libpoppler5 API changes.  A transcript of a build showing both
of these issues is attached.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (550, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cups depends on:
ii  adduser                3.111             add and remove users and groups
ii  bc                     1.06.95-2         The GNU bc arbitrary precision cal
ii  cups-client            1.4.2-2           Common UNIX Printing System(tm) - 
ii  cups-common            1.4.2-2           Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0]  1.5.28            Debian configuration management sy
ii  ghostscript            8.70~dfsg-2+b1    The GPL Ghostscript PostScript/PDF
ii  libavahi-client3       0.6.25-2          Avahi client library
ii  libavahi-common3       0.6.25-2          Avahi common library
ii  libc6                  2.10.2-2          GNU C Library: Shared libraries
ii  libcups2               1.4.2-2           Common UNIX Printing System(tm) - 
ii  libcupscgi1            1.4.2-2           Common UNIX Printing System(tm) - 
ii  libcupsdriver1         1.4.2-2           Common UNIX Printing System(tm) - 
ii  libcupsimage2          1.4.2-2           Common UNIX Printing System(tm) - 
ii  libcupsmime1           1.4.2-2           Common UNIX Printing System(tm) - 
ii  libcupsppdc1           1.4.2-2           Common UNIX Printing System(tm) - 
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libgcc1                1:4.4.2-3         GCC support library
ii  libgnutls26            2.8.5-2           the GNU TLS library - runtime libr
ii  libgssapi-krb5-2       1.7dfsg~beta3-1   MIT Kerberos runtime libraries - k
ii  libijs-0.35            0.35-7            IJS raster image transport protoco
ii  libkrb5-3              1.7dfsg~beta3-1   MIT Kerberos runtime libraries
ii  libldap-2.4-2          2.4.17-2.1        OpenLDAP libraries
ii  libpam0g               1.1.0-4           Pluggable Authentication Modules l
ii  libpaper1              1.1.23+nmu1       library for handling paper charact
ii  libpoppler5            0.12.2-1          PDF rendering library
ii  libslp1                1.2.1-7.6         OpenSLP libraries
ii  libstdc++6             4.4.2-3           The GNU Standard C++ Library v3
ii  libusb-0.1-4           2:0.1.12-13       userspace USB programming library
ii  lsb-base               3.2-23            Linux Standard Base 3.2 init scrip
ii  perl-modules           5.10.1-8          Core Perl modules
ii  poppler-utils          0.12.2-1          PDF utilitites (based on libpopple
ii  procps                 1:3.2.8-2         /proc file system utilities
ii  ssl-cert               1.0.25            simple debconf wrapper for OpenSSL
ii  ttf-freefont           20090104-4        Freefont Serif, Sans and Mono True
ii  zlib1g                 1: compression library - runtime

Versions of packages cups recommends:
ii  cups-driver-gutenprint    5.2.4-1        printer drivers for CUPS
ii  foomatic-filters          4.0-20090509-1 OpenPrinting printer support - fil
ii  ghostscript-cups          8.70~dfsg-2+b1 The GPL Ghostscript PostScript/PDF

Versions of packages cups suggests:
ii  cups-bsd                  1.4.2-2        Common UNIX Printing System(tm) - 
ii  cups-pdf                  2.5.0-12       PDF printer for CUPS
pn  cups-ppdc                 <none>         (no description available)
ii  foomatic-db               20090616-1     OpenPrinting printer support - dat
ii  foomatic-db-engine        4.0-20090509-2 OpenPrinting printer support - pro
pn  hplip                     <none>         (no description available)
ii  smbclient                 2:3.4.3-1      command-line SMB/CIFS clients for 
ii  udev                      147-5          /dev/ and hotplug management daemo
pn  xpdf-korean | xpdf-japane <none>         (no description available)

-- debconf information excluded
-------------- next part --------------
A non-text attachment was scrubbed...
Name: cups-build-fail.bz2
Type: application/x-bzip2
Size: 78180 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-cups-devel/attachments/20091129/42830d3a/attachment-0001.bin>

More information about the Pkg-cups-devel mailing list